# Get summary fields

Returns object containing array of summary fields. 

> Note: For pagination guidance, refer to Pagination.

Endpoint: GET /sheets/{sheetId}/summary/fields
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

  - `include` (string)
    A comma-separated list of elements to include in the response.
* format: includes format info for cells, rows, and summary fields
* writerInfo: includes createdBy and modifiedBy attributes for rows and summary fields
    Enum: "format", "writerInfo"

  - `exclude` (string)
    A comma-separated list of elements to not include in the response.
* displayValue: excludes displayValue info for cells, rows, and summary fields
* image: excludes image attributes for cells and summary fields
* imageAltText: excludes alt text for cells and summary fields
    Enum: "displayValue", "image", "imageAltText"

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)
    List of Summary Fields

  - `data.id` (number)
    SummaryField ID.

  - `data.contactOptions` (array)
    Array of ContactOption objects to specify a pre-defined list of values for the column. Column type must be CONTACT_LIST.

  - `data.contactOptions.email` (string)
    A parsable email address.

  - `data.contactOptions.name` (string)
    Can be a user's name, display name, or free text.

  - `data.createdAt` (any)

  - `data.createdBy` (object)
    User object containing name and email of the creator of this summary field.

  - `data.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `data.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this column has a non-default format applied to it.

  - `data.formula` (string)
    The formula for a cell, if set.

  - `data.hyperlink` (object)

  - `data.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `data.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `data.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `data.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `data.image` (object)

  - `data.image.altText` (string)
    Alternate text for the image.

  - `data.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `data.image.id` (string)
    Image ID.

  - `data.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `data.index` (number)
    Field index or position. This number is zero-based.

  - `data.locked` (boolean)
    Indicates whether the field is locked.

  - `data.lockedForUser` (boolean)
    Indicates whether the field is locked for the requesting user.

  - `data.modifiedAt` (any)

  - `data.modifiedBy` (object)
    User object containing name and email of the user who most recently modified this summary field.

  - `data.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `data.objectValue` (any)

  - `data.options` (array)
    When applicable for PICKLIST column type. Array of the options available for the field.

  - `data.symbol` (string)
    When applicable for PICKLIST column type.

  - `data.title` (string)
    Arbitrary name, must be unique within summary.

  - `data.type` (string)
    Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"

  - `data.validation` (boolean)
    Indicates whether summary field values are restricted to the type.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


